net.snowflake.client.core

## Class SFFixedViewResultSet

- java.lang.Object
- - net.snowflake.client.core.SFBaseResultSet
  - - net.snowflake.client.core.SFFixedViewResultSet

    public class SFFixedViewResultSet
    extends SFBaseResultSet

Fixed view result set. This class iterates through any fixed view implementation and return the objects as rows

Author:
  jhuang

### Field Summary

### Fields inherited from class net.snowflake.client.core.SFBaseResultSet

`binaryFormatter, dateFormatter, honorClientTZForTimestampNTZ, isClosed, numberOfBinds, parameters, resultSetMetaData, resultVersion, row, session, timeFormatter, timestampLTZFormatter, timestampNTZFormatter, timestampTZFormatter, timeZone, wasNull`

### Constructor Summary

Constructors
Constructor and Description
`SFFixedViewResultSet(SnowflakeFixedView fixedView, SnowflakeFileTransferAgent.CommandType commandType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`protected Object` `getObjectInternal(int columnIndex)`
`String` `getQueryId()`
`SFStatementType` `getStatementType()`
`boolean` `isAfterLast()`
`boolean` `isLast()`
`boolean` `next()` Advance to next row

### Methods inherited from class net.snowflake.client.core.SFBaseResultSet

`absolute, getBigDecimal, getBigDecimal, getBoolean, getBytes, getDate, getDate, getDouble, getFloat, getInt, getLong, getMetaData, getNumberOfBinds, getObject, getRow, getShort, getString, getTime, getTimestamp, isArrayBindSupported, isBeforeFirst, isClosed, isFirst, previous, relative, setSession, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFFixedViewResultSet

    public SFFixedViewResultSet(SnowflakeFixedView fixedView,
                                SnowflakeFileTransferAgent.CommandType commandType)
                         throws SnowflakeSQLException

Throws:
  `SnowflakeSQLException`

### Method Detail

#### next

    public boolean next()
                 throws SFException

Advance to next row

Overrides:
  `next` in class `SFBaseResultSet`
Returns:
  true if next row exists, false otherwise
Throws:
  `SFException` - if failed to get next row

#### getObjectInternal

    protected Object getObjectInternal(int columnIndex)
                                throws SFException

Specified by:
  `getObjectInternal` in class `SFBaseResultSet`
Throws:
  `SFException`

#### close

    public void close()

Overrides:
  `close` in class `SFBaseResultSet`

#### getStatementType

    public SFStatementType getStatementType()

Specified by:
  `getStatementType` in class `SFBaseResultSet`

#### isLast

    public boolean isLast()

Specified by:
  `isLast` in class `SFBaseResultSet`

#### isAfterLast

    public boolean isAfterLast()

Specified by:
  `isAfterLast` in class `SFBaseResultSet`

#### getQueryId

    public String getQueryId()

Specified by:
  `getQueryId` in class `SFBaseResultSet`